import { IProduct } from "@/interfaces/IProduct.interface";
import { uuid } from 'uuidv4';
import * as fs from 'fs';
import path from 'path';

const filePath = path.join(__dirname, '../data/products.json');

export class ProductService {
    private products: IProduct[] = [];

    save = (): void => {
        fs.writeFileSync(filePath, JSON.stringify(this.products, null, 2));
    }

    getAllProducts = (): IProduct[] => {
        return this.products
    }

    getProduct = (id: string): IProduct => {
        const product = this.products.find(item => item.id === id)
        if(product) return product
        else throw new Error('Invalide ID')
    }

    createProduct = (data: IProduct): IProduct => {
        const product = {
            id: uuid(),
            title: data.title,
            description: data.description,
            price: data.price
        }
        this.products.push(product)
        this.save()
        return product
    }
}
